%vectores posicin
clc
disp("-----VECTORES POSICION----")
A = [2 0 6]
B = [0 4 2]
C = [-4 3 4]
disp("----Vector Fuerza Fb----")
AB = B-A
modAB = norm(AB)
uAB = AB/modAB
Fb = 600*uAB
disp("----Vector Fuerza Fc---")
AC = C-A
modAC = norm(AC)
uAC = AC/modAC
Fc = 490*uAC
disp("----Fuerza resultante----")
Fr = Fb+Fc
modFr = norm(Fr)

clf
hold on
plot3(A(1),A(2),A(3),"marker","o","color","b")
plot3(B(1),B(2),B(3),"marker","o","color","b")
plot3(C(1),C(2),C(3),"marker","o","color","b")

quiver3(-5,0,0,10,0,0,"color","r","maxheadsize",0.05)
quiver3(0,-1,0,0,7,0,"color","r","maxheadsize",0.05)
quiver3(0,0,-1,0,0,8,"color","r","maxheadsize",0.05)

escala = 150;
FbPlot = Fb/escala;
FcPlot = Fc/escala;
FrPlot = Fr/escala;
quiver3(A(1),A(2),A(3),FbPlot(1),FbPlot(2),FbPlot(3),"color",[0.5 0.5 0.5],"maxheadsize",0.05)
quiver3(A(1),A(2),A(3),FcPlot(1),FcPlot(2),FcPlot(3),"color",[0.5 0.5 0.5],"maxheadsize",0.06)
quiver3(A(1),A(2),A(3),FrPlot(1),FrPlot(2),FrPlot(3),"color","k","maxheadsize",0.06)

text(4.5,0,0,"X","color","r")
text(0,5.5,0,"Y","color","r")
text(0,0,6.5,"Z","color","r")

text(A(1),A(2),A(3)+0.5,"A","fontsize",12)
text(B(1),B(2),B(3)+0.5,"B","fontsize",12)
text(C(1),C(2),C(3)+0.5,"C","fontsize",12)

posFr = A+FrPlot;
text(posFr(1),posFr(2),posFr(3),["Fr=" num2str(modFr) "[lb]"],"fontsize",14)





